Auth0 Home Blog Docs

Trying to create Bitbucket deployments

Hi

Getting the following error once installed the bitbucket deployment extension, and entered all my details (and then clicking on the new installed extension:

   {
     "code": 400,
     "message": "Compilation failed: Cannot find module 'auth0-source-control-extension-tools'",
     "error": "Cannot find module 'auth0-source-control-extension-tools'",
     "stack": "Error: Cannot find module 'auth0-source-control-extension-tools'\n    at 
    Function.Module._resolveFilename (module.js:325:15)\n    at Function.WebtaskModule._resolveFilename (/data/sandbox/lib/module.js:25:27)\n    at WebtaskModule.require (/data/sandbox/lib/module.js:102:39)\n    at require (/data/sandbox/lib/module.js:137:21)\n    at Object.<anonymous> (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:9244)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:11224)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:47481)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:53175)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at Object.<anonymous> (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:24662)\n    at Object.<anonymous> (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:26639)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at Object.<anonymous> (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:55886)\n    at t (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:177)\n    at /data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:560\n    at Object.<anonymous> (/data/io/7256b021-18be-4698-9262-c0e75b62615f/webtask.js:1:570)\n    at WebtaskModule.compileWebtask (/data/sandbox/lib/module.js:96:34)\n    at defaultJavascriptCompiler (/data/sandbox/lib/compiler.js:119:30)\n    at defaultCompiler (/data/sandbox/lib/compiler.js:128:16)"
    }

Hey @sam.mcgoldrick1!

Sorry for the inconvenience! It looks like the fault might on our end. Let me debug it with our developer support team and get back to you with what I got!

Can you tell me what version of Node are you using? I saw that the requirement is that it only works on Node 8 as mentioned here:

I’m having the same error. And I don’t know if the OP is the same scenario, but I’m installing from the own Extensions on manage.auth0.com. It’s not installed locally.

I installed the Github Deployments Extension (v2.6) and provided the credentials, but when clicking to login to the extension page, the error is thrown:
{
“code”: 400,
“message”: “Compilation failed: Cannot find module ‘auth0-source-control-extension-tools’”,
“error”: “Cannot find module ‘auth0-source-control-extension-tools’”,
“stack”: “Error: Cannot find module ‘auth0-source-control-extension-tools’\n at Function.Module._resolveFilename (module.js:325:15)\n at Function.WebtaskModule._resolveFilename (/data/sandbox/lib/module.js:25:27)\n at WebtaskModule.require (/data/sandbox/lib/module.js:102:39)\n at require (/data/sandbox/lib/module.js:137:21)\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:14456)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:16738)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at Object.module.exports.e.__esModule.default (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:46303)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at Object.module.exports.e.__esModule.default (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:51988)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:25839)\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:27808)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:54705)\n at t (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:177)\n at /data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:560\n at Object. (/data/io/b3d19122-f912-41ba-9da0-1668288ccffd/webtask.js:1:571)\n at WebtaskModule.compileWebtask (/data/sandbox/lib/module.js:96:34)\n at defaultJavascriptCompiler (/data/sandbox/lib/compiler.js:119:30)\n at defaultCompiler (/data/sandbox/lib/compiler.js:128:16)”
}

Thank you @devs_auth0 for reporting that! Can you provide me with one more thing? Have you followed all the steps precisely as described in the docs or in this repo:

and you still got such error?

Thanks a lot for providing more context!

Hey there!

Have you had a chance to see my previous message?

Ah, yes! So yeah, I followed the instructions, detailed there and I was about to test actually using it locally to see if it could work, but I got caught on meetings and other stuff.

But one thing that caught my attention was the /clients folder and the json’s inside. Is this required to work? Because my git repo only contains the /pages folder (because that’s the only files I need to update and keep track actually…)

Hey @devs_auth0!

Thanks for reaching back. Not exactly sure if it’s the key element here or is there anything else that affects it but when debugging and helping community developers handle problem with extension in the past the structure did really matter and it solved the problem in some scenarios.

I think it will be great to refer to the repo issues and ask repo maintainers directly as they will have more in-depth knowledge about such cases.

Hey sam.mcgoldrick1, turns out, my problem was indeed the NodeJS version.
But Konrad forgot to tell us where to look on Auth0 tenant settings (and it comes with the Node 4 set, and even with the “deprecated” label)

Change here at the bottom to version 8 https://manage.auth0.com/#/tenant/advanced
Delete the Bitbucket/Github extensions and re-install.

It worked for me.
(Still not sure if this was your initial problem…)

1 Like

Sorry for not adding info where to look for NodeJS version @devs_auth0.

Glad you made it work in the end!

Hi - that was correct that Node version needed updating.

I got it working after making that change.

However, it has just reappeared for me. Checked tenant settings and its running v8.

This is the error when trying to access the extension:

{
  "code": 400,
  "message": "Compilation failed: Cannot find module 'auth0-source-control-extension-tools@3.1.4'",
  "error": "Cannot find module 'auth0-source-control-extension-tools@3.1.4'",
  "stack": "Error: Cannot find module 'auth0-source-control-extension-tools@3.1.4'\n    at Function.Module._resolveFilename (module.js:325:15)\n    at Function.WebtaskModule._resolveFilename (/data/sandbox/lib/module.js:96:27)\n    at WebtaskModule.require (/data/sandbox/lib/module.js:149:39)\n    at require (/data/sandbox/lib/module.js:184:21)\n    at Object.<anonymous> (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:8567)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:10552)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:46049)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at Object.module.exports.e.__esModule.default (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:51743)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at Object.<anonymous> (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:23235)\n    at Object.<anonymous> (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:25212)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at Object.<anonymous> (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:54454)\n    at t (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:177)\n    at /data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:560\n    at Object.<anonymous> (/data/io/b924ed04-3e32-4e29-8663-1fcada5f6f7f/webtask.js:1:570)\n    at WebtaskModule.compileWebtask (/data/sandbox/lib/module.js:143:34)\n    at defaultJavascriptCompiler (/data/sandbox/lib/compiler.js:119:30)\n    at defaultCompiler (/data/sandbox/lib/compiler.js:128:16)"
}

Any help appreciated

Thanks a lot for reporting that @sam.mcgoldrick1! Let me dive into it and I’ll get back to you as soon as I have news to share!

As far as I can see, someone internally already reported it to the responsible team. Will let you know once I have any info from them!

Hi @konrad.sopala is there any update on this?

Hey there!

Not yet unfortunately. I just re-pinged the team. Let me get back to you once they share some info with me!

Ok so here’s what I suggest:

  • Delete the current extension you have configured
  • Log out of your Auth0 Dashboard
  • Log back in
  • Re-install the extensions and re-configure it

Sometimes app configurations can become cached.

Also, re-saving the Node 8 selection, at one point there was a bug where you would have to do a refresh and then, click save again.

Hope it helps!

As far as I can see internally there have been also some changes made that are not reflected in the repo changelog. Repo maintainers are to add them tomorrow to the docs as well as the changelog.

Didnt work. I’m really confused now. Am I waiting for an update on your side?

We got the same issue trying to install Github extension. The tenant is changed to node v8.
Reinstall of extension didn’t help…

Hey Folks!

As I’ve said there was an update to the repo recently and our engineering team forgot to change a few little things which they updated just now. Here are the PRs:

Everything should be back to normal once they’re merged